<?php

use yii\db\Migration;

/**
 * Class m240814_003026_Color_tabla_actualizada, PERO ES LA ACTUALIZACIÓN DE LA TABLA "Vehiculo"
 */
class m240814_003026_Color_tabla_actualizada extends Migration {
  /**
   * {@inheritdoc}
   */
  public function safeUp() {
    $this->renameColumn('Vehiculo', 'color', 'idColor');
    $this->renameColumn('Vehiculo', 'tipo', 'idTipo');
    $this->renameColumn('Vehiculo', 'marca', 'idMarca');

    // Agregar la llave foránea a "idTipo" que hace referencia a la columna "id" en la tabla "related_table"
    $this->addForeignKey("VehiculoColorFK", "Vehiculo", "idColor", "Color", "id");
    $this->addForeignKey("VehiculoTipoFK", "Vehiculo", "idTipo", "TipoAuto", "id");
    $this->addForeignKey("VehiculoMarcaFK", "Vehiculo", "idMarca", "Marca", "id");
  }

  /**
   * {@inheritdoc}
   */
  public function safeDown() {
    $this->dropForeignKey('VehiculoColorFK', 'Vehiculo');
    $this->dropForeignKey('VehiculoTipoFK', 'Vehiculo');
    $this->dropForeignKey('VehiculoMarcaFK', 'Vehiculo');
    // Renombrar la columna "idTipo" de vuelta a "tipo"
    $this->renameColumn('Vehiculo', 'idTipo', 'tipo');
    $this->renameColumn('Vehiculo', 'idMarca', 'marca');
    $this->renameColumn('Vehiculo', 'idColor', 'color');
  }
}
