<?php

namespace v1\models;

use app\models\Banner as ModeloBanner;

class Banner extends ModeloBanner {

  public function fields() {
    return [
        'id',
        'idCampana',
        'idMedia',
        'clave',
        'nombre',
        'tamano',
        'descripcion',
        'activo',
        'fechaInicio',
        'fechaFin',
        'creado',
        'modificado',
    ];
  }

  public function extraFields() {
    return [
        'campana',
        'media'
    ];
}

  public function getCampana()
  {
      return $this->hasOne(Campana::class, ['id' => 'idCampana']);
  }

  public function getMedia()
  {
      return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }
}
